html {

	padding: 0;
	margin: 0;

}

body {

	padding: 0;
	margin: 0;
	background-color: #f8f8f8;
	overflow-x: hidden;
	--global-color: #f2f2f2;
	--link-color: #167c80;
	--header-height: 38px;
	--nav-width: 230px;
}

main {
	
}

header {

	position: fixed;
	height: var(--header-height);
	left: 0;
	top: 0;
	background-color: var(--global-color);
	width: 100%;
	border-bottom: 2px solid var(--link-color);
	z-index: 10;

}

header table {

	width: 100%;
	height: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

header table h1 {

	padding: 0;
	margin: 0;
	font-size: 22px;
	font-weight: 500;
	color: var(--link-color);
	text-indent: 8px;
	letter-spacing: 1px;

}

header table td.book {

	width: 140px;
	text-indent: 8px;

}

header table td.menu {

	width: 40px;
	background-image: url(../img/menu-button.png);
	background-position: center;
	background-size: 55%;
	background-repeat: no-repeat;
	opacity: 0.6;
	display: none;

}

header table td.menu:hover,
header table td.book:hover {

	cursor: pointer;
	background-color: rgba(0,0,0,0.05);

}

nav {

	width: calc(var(--nav-width) - 1px);
	border-right: 1px solid #ccc;
	position: fixed;
	background-color: #eee;
	height: calc(100% - var(--header-height));
	top: var(--header-height);
	left: 0;
	overflow-y: auto;
	z-index: 5;

}

nav ul {

	padding: 0;
	margin: 0;
	display: none;

}

nav ul.open {

	display: block;

}

nav h4 {

	padding: 10px 0;
	margin: 0;
	text-indent: 8px;
	font-size: 16px;
	font-weight: 500;
	letter-spacing: 1px;

}

nav li.top {

	border-top: 1px solid #ccc;

}

nav li {

	text-indent: 8px;
	list-style: none;
	padding: 8px 0;
	position: relative;
	border-bottom: 1px solid #ccc;
	font-size: 15px;
	position: relative;

}

nav li:hover {

	cursor: pointer;
	color: var(--link-color);
	background-color: rgba(0,0,0,0.05);

}

nav li.active:after{

	content: "";
	display: block;
	width: 14px;
	height: 14px;
	border-radius: 20px;
	position: absolute;
	right: 8px;
	background-color: var(--link-color);
	top: 12px;
	opacity: 0.7;

}

section {

	width: calc(100% - var(--nav-width));
	padding-left: var(--nav-width);
	padding-top: var(--header-height);
	min-height: 100px;

}

div.header {

	width: 100%;
	background-color: rgba(0,0,0,0.05);
	position: relative;

}

div.header div.source {

	position: absolute;
	top: 10px;
	left: 8px;
	font-size: 14px;

}

div.header div.source a {
	
	opacity: 0.5;

}

div.header div.share {

	position: absolute;
	top: 0;
	right: 0;
	height: 100%;

}

div.header div.share table {

	height: 100%;
	border-collapse: collapse;
	table-layout: fixed;

}

div.header div.share table td {

	width: 40px;
	text-align: center;

}

div.header div.share table td div.menu {

	background-image: url(../img/menu-button.png);
	background-size: 70%;

}

div.header div.share table td div.twitter {

	background-image: url(../img/twitter.png);
	background-size: 70%;

}

div.header div.share table td div.mastodon {

	background-image: url(../img/mastodon.png);
	background-size: 63%;

}

div.header div.share table td div.sharecon {

	background-image: url(../img/share.png);
	background-size: 63%;

}

div.header div.share table td div.reddit {

	background-image: url(../img/reddit.png);
	background-size: 63%;

}

div.header div.share table td div.icon {

	display: block;
	width: 26px;
	height: 26px;
	border-radius: 40px;
	margin: auto;
	background-position: center;
	background-repeat: no-repeat;
	opacity: 0.3;
	transition: opacity 200ms;

}

div.header div.share table td div.icon:hover {

	cursor: pointer;
	opacity: 0.9;

}

div.header div.source a:hover {

	cursor: pointer;
	opacity: 0.9;

}

div.header h2 {

	width: 100%;
	max-width: 1004px;
	display: block;
	margin: auto;
	padding: 8px 0;
	font-size: 15px;
	text-align: center;
	font-weight: 400;
	opacity: 0;
	transition: opacity 500ms;
	color: #555;

}

div.header:hover h2 {

	opacity: 1;

}

article {

	width: 1004px;
	max-width: calc(100% - 20px);
	display: block;
	margin: 20px auto;
	min-height: 1200px;
	padding: 10px;
	background-color: rgba(0,0,0,0.01);

}

article h2 {

	padding: 0;
	margin: 0;
	font-size: 18px;
	font-weight: 500;

}

article table.title {

	width: 100%;
	table-layout: fixed;

}

article table.title td.label {

	width: 130px;
	text-align: right;
	font-size: 14px;

}

article table.title td.time {

	width: 130px;
	text-align: right;
	font-size: 14px;

}

article table.title td.author {

	font-size: 14px;

}



div.footer {

	background-color: rgba(0,0,0,0.05);
	position: relative;

}

div.footer h5 {

	width: 100%;
	max-width: 1004px;
	display: block;
	margin: auto;
	padding: 8px 0;
	font-size: 14px;
	text-align: center;
	font-weight: 400;
	color: #888;

}

div.footer div.next {
	
	position: absolute;
	top: 10px;
	right: 8px;
	font-size: 14px;

}

div.footer div.prev {
	
	position: absolute;
	top: 10px;
	left: 8px;
	font-size: 14px;

}

@media only screen and (max-width: 1200px) {

	nav {
		
		transform: translateX(-100%);

	}

	section {

		width: 100%;
		padding-left:0;
		min-height: 100px;

	}

	header table td.menu {
		
		display: table-cell;

	}

}

@media only screen and (max-width: 600px) {

	header table td.book {
		
		display: none;

	}

	nav ul {
		display: block;
	}

}
